Opened 9 years ago

Closed 9 years ago

#5020 closed defect (fixed)

SCI: Fanmade (Checksums)

Reported by: SF/abevi Owned by: SF/mthreepwood
Priority: normal Component: Engine: SCI
Keywords: detection Cc:
Game: SCI Fanmade

Description

Here's a list of fan game md5s. I've updated the wiki (http://wiki.scummvm.org/index.php/SCI/Testing) with the locations in case you need any additional info :)

The game in '/media/DATA_/FAN/SCI-MAN' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "bb8f9992f504a242bf0860e3588e150b", 131810
"resource.map", "3ab85bd39a86c11f85781764f9db09bb", 468

The game in '/media/DATA_/FAN/SCI Capture the Flag' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "98ae1f6ed7b4c21f88addbf643dd1d2f", 147878
"resource.map", "4cd679a51d93b8b27c6b38d81be24b8b", 432

The game in '/media/DATA_/FAN/Ocean Battle' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "46c520c1ac9b63528854d0f58c7e1b74", 142234
"resource.map", "c2304a0568e0eb84f8e9a0915f01170a", 408

The game in '/media/DATA_/FAN/New Year's Mystery' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "e00ca5e44fd4e98d8174b467b31b0f21", 295425
"resource.map", "e4dcab1b1d3cb4a2c070a07a9c9589e0", 708

The game in '/media/DATA_/FAN/Humanoid Demo' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "fb354b9abe64011b12159e45d724633f", 452320
"resource.map", "97d8331293a6d57e8bad58c1efc89a63", 624

The game in '/media/DATA_/FAN/Gem Scenario' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "2f16be390dd90c3d7ca1c8a594ac0bfa", 244794
"resource.map", "ef5f61f4d2c6d31122d3e2baf89ad976", 642

The game in '/media/DATA_/FAN/Farm Nightmare, The' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "50655e8b8925f717e698e08f006f40be", 338303
"resource.map", "fb6cbfddaa7c055e2c3d8cf4c683a7db", 906

The game in '/media/DATA_/FAN/Circus Quest (EN-v1.0)' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "7d6f97d7935d8733f488d4cb74315e5b", 279627
"resource.map", "35871f6b4e1df56af4113c0203a0b223", 630

The game in '/media/DATA_/FAN/Aquarius - an Aquatic Experience (EN-v1.0)' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "01555c8de683d25405bda270aa1ff014", 272372
"resource.map", "2e23bc3b82f22a454be202ea593fb478", 480

The game in '/media/DATA_/FAN/Al Pond - Island Quest 2' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"resource.001", "571547228a212d63315f0c114cf48d54", 885241
"resource.map", "64be277cdcc6aafce7d9f26e88ad31a8", 1500

Ticket imported from: #3035927. Ticket imported from: bugs/5020.

Change History (6)

comment:1 by SF/abevi, 9 years ago

Summary: ChecksumsSCI: Fanmade (Checksums)

comment:2 by SF/mthreepwood, 9 years ago

I added the "new" entries already. I hadn't even seen this bug report.

What is the difference between your Al Pond 2/New Year's Mystery and the ones from here? Any specific version info? http://rapidshare.com/files/409591904/SCI_Fan_Games.zip

comment:3 by SF/mthreepwood, 9 years ago

Owner: set to SF/mthreepwood

comment:4 by SF/abevi, 9 years ago

I don't know that there's much of a difference. Here's a quick comparrison though:

Al Pond (mine)
2004-02-01 13:59 resource.001 (885241 bytes)
2004-02-01 13:59 resource.map (1500 bytes)

Al Pond (yours):
2003-01-09 19:24 resource.001 (889843 bytes)
2003-01-09 19:24 resource.map (1506 bytes)

NYM (mine):
2007-02-03 00:04 resource.001 (295425 bytes)
2007-02-03 00:04 resource.map (708 bytes)

NYM (yours):
2008-03-12 22:16 resource.001 (305027 bytes)
2008-03-12 22:16 resource.map (714 bytes)

... so I've got a newer Al Pond 2 and an older New Years Mystery. If you actually diff the source for NYM, you'll find that the only change is:

maximus@dev-laptop-linux:~/Desktop$ diff nym nym-clone
diff nym/rm010.sc nym-clone/rm010.sc
138c138
< (send gTheMusic:prevSignal(0)stop()number(10)loop(-1)play())
---
> (send gTheMusic:prevSignal(0)stop()number(10)loop(1)play())
diff nym/rm013.sc nym-clone/rm013.sc
113c113
< (send gTheMusic:prevSignal(0)stop()number(20)loop(0)play())
---
> (send gTheMusic:prevSignal(0)stop()number(20)loop(1)play())
diff nym/rm013.sc.bak nym-clone/rm013.sc.bak
113c113
< (send gTheMusic:prevSignal(0)stop()number(20)loop(-1)play())
---
> (send gTheMusic:prevSignal(0)stop()number(20)loop(0)play())
diff nym/TitleScreen.sc nym-clone/TitleScreen.sc
44,45c44,45
<
< (send gTheMusic:prevSignal(0)stop()number(20)loop(0)play())
---
>
> (send gTheMusic:prevSignal(0)stop()number(20)loop(1)play())
diff nym/TitleScreen.sc.bak nym-clone/TitleScreen.sc.bak
44,45c44,45
<
< (send gTheMusic:prevSignal(0)stop()number(20)loop(-1)play())
---
>
> (send gTheMusic:prevSignal(0)stop()number(20)loop(1)play())

... so it looks like minor music tweaks only. I don't know if it's worth calling them version A, version B (or whatnot) ... so I'll leave that up to you.

comment:5 by SF/mthreepwood, 9 years ago

Resolution: fixed
Status: newclosed

comment:6 by SF/mthreepwood, 9 years ago

Updated the Al Pond 2 (damn, those names are confusing!) and New Year's Mystery entries in r51430

Note: See TracTickets for help on using tickets.